{-----------------------------------------------------------------------------
Picture conversion algorithm - ported from SCRPLUS (C) Edward Cree 2010
from C to Delphi.

------------------------------------------------------------------------------
   WAITING.PAS - Contains the form WaitingForm that appears while a console
                 rendering has been startet (non GUI) 
------------------------------------------------------------------------------

This file is part of Image2ULAPlus.

Image2ULAPlus is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Image2ULAPlus is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
------------------------------------------------------------------------------
The Initial Developer of the Original ULAPlus conversion algorithm is
Edward Cree (C) Copyright 2010. Portions created by Klaus Jahn are
Copyright (C) 2011. All Rights Reserved.

Contributor(s): Edward Cree.

You may retrieve the latest version of this file at the ZX-Modules home page,
located at http://www.zxmodules.de

-------------------------------------------------------------------------------
Cross-referenced components and libraries that are not part of this source:

- Delphi 2006 components (c) 1995-2004 Borland Software Corporation
-----------------------------------------------------------------------------}

Unit waiting;

Interface

Uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

Type
  TWaitingForm = Class(TForm)
    Label1: TLabel;
    Panel1: TPanel;
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  Private
    { Private-Deklarationen }
    FFirst:Boolean;
  Public
    { Public-Deklarationen }
  End;

Var
  WaitingForm: TWaitingForm;

Implementation

{$R *.dfm}

Uses
  Renderer;

procedure TWaitingForm.FormCreate(Sender: TObject);
begin
  FFirst:=True;
end;

procedure TWaitingForm.FormActivate(Sender: TObject);
//Performs all necessary steps when the command line (no GUI) is being
//processed.
begin
  if FFirst then Begin
    FFirst:=False;
    If ULAPlusRenderer.CheckDuplicateFile Then Begin
      If ULAPlusRenderer.Render(True,True) Then Begin
        If (Not ULAPlusRenderer.WriteImageFile) And
          (Not SameText(ExtractFileExt(ULAPlusRenderer.OutputFile),'.zxp')) Then Begin
          If MessageDlg('Do you want to save the rendered image into ZXP format instead (y/n)?',
            mtConfirmation,[mbYes,mbNo,mbCancel],0)=mrYes Then
            ULAPlusRenderer.WriteImageToZXPFormat;
        End; {if}
      End; {if}
    End; {if}
    Close;
  End; {if}
end;

End.
